/*
 * java-gnome, a UI library for writing GTK and GNOME programs from Java!
 *
 * Copyright ? 2006-2010 Operational Dynamics Consulting, Pty Ltd and Others
 *
 * The code in this file, and the program it is a part of, is made available
 * to you by its authors as open source software: you can redistribute it
 * and/or modify it under the terms of the GNU General Public License version
 * 2 ("GPL") as published by the Free Software Foundation.
 *
 * This program is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
 * FITNESS FOR A PARTICULAR PURPOSE. See the GPL for more details.
 *
 * You should have received a copy of the GPL along with this program. If not,
 * see http://www.gnu.org/licenses/. The authors of this program may be
 * contacted through http://java-gnome.sourceforge.net/.
 *
 * Linking this library statically or dynamically with other modules is making
 * a combined work based on this library. Thus, the terms and conditions of
 * the GPL cover the whole combination. As a special exception (the
 * "Claspath Exception"), the copyright holders of this library give you
 * permission to link this library with independent modules to produce an
 * executable, regardless of the license terms of these independent modules,
 * and to copy and distribute the resulting executable under terms of your
 * choice, provided that you also meet, for each linked independent module,
 * the terms and conditions of the license of that module. An independent
 * module is a module which is not derived from or based on this library. If
 * you modify this library, you may extend the Classpath Exception to your
 * version of the library, but you are not obligated to do so. If you do not
 * wish to do so, delete this exception statement from your version.
 */

/*
 * THIS FILE IS GENERATED CODE!
 *
 * To modify its contents or behaviour, either update the generation program,
 * change the information in the source defs file, or implement an override for
 * this class.
 */

#include <jni.h>
#include <gtk/gtk.h>
#include "bindings_java.h"
#include "org_gnome_gdk_GdkColormap.h"

JNIEXPORT jint JNICALL
Java_org_gnome_gdk_GdkColormap_gdk_1colormap_1alloc_1colors
(
	JNIEnv* env,
	jclass cls,
	jlong _self,
	jlong _colors,
	jint _ncolors,
	jboolean _writeable,
	jboolean _bestMatch,
	jbooleanArray _success
)
{
	gint result;
	jint _result;
	GdkColormap* self;
	GdkColor* colors;
	gint ncolors;
	gboolean writeable;
	gboolean bestMatch;
	gboolean* success;

	// convert parameter self
	self = (GdkColormap*) _self;

	// convert parameter colors
	colors = (GdkColor*) _colors;

	// convert parameter ncolors
	ncolors = (gint) _ncolors;

	// convert parameter writeable
	writeable = (gboolean) _writeable;

	// convert parameter bestMatch
	bestMatch = (gboolean) _bestMatch;

	// convert parameter success
	success = (gboolean*) (*env)->GetBooleanArrayElements(env, _success, NULL);
	if (success == NULL) {
		return  0; // Java Exception already thrown
	}

	// call function
	result = gdk_colormap_alloc_colors(self, colors, ncolors, writeable, bestMatch, success);

	// cleanup parameter self

	// cleanup parameter colors

	// cleanup parameter ncolors

	// cleanup parameter writeable

	// cleanup parameter bestMatch

	// cleanup parameter success
	(*env)->ReleaseBooleanArrayElements(env, _success, (jboolean*)success, 0);

	// translate return value to JNI type
	_result = (jint) result;

	// and finally
	return _result;
}

JNIEXPORT void JNICALL
Java_org_gnome_gdk_GdkColormap_gdk_1colormap_1free_1colors
(
	JNIEnv* env,
	jclass cls,
	jlong _self,
	jlong _colors,
	jint _ncolors
)
{
	GdkColormap* self;
	GdkColor* colors;
	gint ncolors;

	// convert parameter self
	self = (GdkColormap*) _self;

	// convert parameter colors
	colors = (GdkColor*) _colors;

	// convert parameter ncolors
	ncolors = (gint) _ncolors;

	// call function
	gdk_colormap_free_colors(self, colors, ncolors);

	// cleanup parameter self

	// cleanup parameter colors

	// cleanup parameter ncolors
}

JNIEXPORT jlong JNICALL
Java_org_gnome_gdk_GdkColormap_gdk_1colormap_1new
(
	JNIEnv* env,
	jclass cls,
	jlong _visual,
	jboolean _allocate
)
{
	GdkColormap* result;
	jlong _result;
	GdkVisual* visual;
	gboolean allocate;

	// convert parameter visual
	visual = (GdkVisual*) _visual;

	// convert parameter allocate
	allocate = (gboolean) _allocate;

	// call function
	result = gdk_colormap_new(visual, allocate);

	// cleanup parameter visual

	// cleanup parameter allocate

	// translate return value to JNI type
	_result = (jlong) result;

	// cleanup return value
	if (result != NULL) {
		bindings_java_memory_cleanup((GObject*)result, TRUE);
	}

	// and finally
	return _result;
}

JNIEXPORT jboolean JNICALL
Java_org_gnome_gdk_GdkColormap_gdk_1colormap_1alloc_1color
(
	JNIEnv* env,
	jclass cls,
	jlong _self,
	jlong _color,
	jboolean _writeable,
	jboolean _bestMatch
)
{
	gboolean result;
	jboolean _result;
	GdkColormap* self;
	GdkColor* color;
	gboolean writeable;
	gboolean bestMatch;

	// convert parameter self
	self = (GdkColormap*) _self;

	// convert parameter color
	color = (GdkColor*) _color;

	// convert parameter writeable
	writeable = (gboolean) _writeable;

	// convert parameter bestMatch
	bestMatch = (gboolean) _bestMatch;

	// call function
	result = gdk_colormap_alloc_color(self, color, writeable, bestMatch);

	// cleanup parameter self

	// cleanup parameter color

	// cleanup parameter writeable

	// cleanup parameter bestMatch

	// translate return value to JNI type
	_result = (jboolean) result;

	// and finally
	return _result;
}

JNIEXPORT void JNICALL
Java_org_gnome_gdk_GdkColormap_gdk_1colormap_1query_1color
(
	JNIEnv* env,
	jclass cls,
	jlong _self,
	jlong _pixel,
	jlong _color
)
{
	GdkColormap* self;
	gulong pixel;
	GdkColor* color;

	// convert parameter self
	self = (GdkColormap*) _self;

	// convert parameter pixel
	pixel = (gulong) _pixel;

	// convert parameter color
	color = (GdkColor*) _color;

	// call function
	gdk_colormap_query_color(self, pixel, color);

	// cleanup parameter self

	// cleanup parameter pixel

	// cleanup parameter color
}

JNIEXPORT jlong JNICALL
Java_org_gnome_gdk_GdkColormap_gdk_1colormap_1get_1visual
(
	JNIEnv* env,
	jclass cls,
	jlong _self
)
{
	GdkVisual* result;
	jlong _result;
	GdkColormap* self;

	// convert parameter self
	self = (GdkColormap*) _self;

	// call function
	result = gdk_colormap_get_visual(self);

	// cleanup parameter self

	// translate return value to JNI type
	_result = (jlong) result;

	// cleanup return value
	if (result != NULL) {
		bindings_java_memory_cleanup((GObject*)result, FALSE);
	}

	// and finally
	return _result;
}

JNIEXPORT jlong JNICALL
Java_org_gnome_gdk_GdkColormap_gdk_1colormap_1get_1screen
(
	JNIEnv* env,
	jclass cls,
	jlong _self
)
{
	GdkScreen* result;
	jlong _result;
	GdkColormap* self;

	// convert parameter self
	self = (GdkColormap*) _self;

	// call function
	result = gdk_colormap_get_screen(self);

	// cleanup parameter self

	// translate return value to JNI type
	_result = (jlong) result;

	// cleanup return value
	if (result != NULL) {
		bindings_java_memory_cleanup((GObject*)result, FALSE);
	}

	// and finally
	return _result;
}
