/*
 * java-gnome, a UI library for writing GTK and GNOME programs from Java!
 *
 * Copyright ? 2006-2010 Operational Dynamics Consulting, Pty Ltd and Others
 *
 * The code in this file, and the program it is a part of, is made available
 * to you by its authors as open source software: you can redistribute it
 * and/or modify it under the terms of the GNU General Public License version
 * 2 ("GPL") as published by the Free Software Foundation.
 *
 * This program is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
 * FITNESS FOR A PARTICULAR PURPOSE. See the GPL for more details.
 *
 * You should have received a copy of the GPL along with this program. If not,
 * see http://www.gnu.org/licenses/. The authors of this program may be
 * contacted through http://java-gnome.sourceforge.net/.
 *
 * Linking this library statically or dynamically with other modules is making
 * a combined work based on this library. Thus, the terms and conditions of
 * the GPL cover the whole combination. As a special exception (the
 * "Claspath Exception"), the copyright holders of this library give you
 * permission to link this library with independent modules to produce an
 * executable, regardless of the license terms of these independent modules,
 * and to copy and distribute the resulting executable under terms of your
 * choice, provided that you also meet, for each linked independent module,
 * the terms and conditions of the license of that module. An independent
 * module is a module which is not derived from or based on this library. If
 * you modify this library, you may extend the Classpath Exception to your
 * version of the library, but you are not obligated to do so. If you do not
 * wish to do so, delete this exception statement from your version.
 */

/*
 * THIS FILE IS GENERATED CODE!
 *
 * To modify its contents or behaviour, either update the generation program,
 * change the information in the source defs file, or implement an override for
 * this class.
 */

#include <jni.h>
#include <gtk/gtk.h>
#include <gtkspell/gtkspell.h>
#include "bindings_java.h"
#include "org_gnome_gtk_GtkSpell.h"

JNIEXPORT jlong JNICALL
Java_org_gnome_gtk_GtkSpell_gtkspell_1new_1attach
(
	JNIEnv* env,
	jclass cls,
	jlong _view,
	jstring _lang
)
{
	GtkSpell* result;
	jlong _result;
	GtkTextView* view;
	const gchar* lang;
	GError* error = NULL;

	// convert parameter view
	view = (GtkTextView*) _view;

	// convert parameter lang
	if (_lang == NULL) {
		lang = NULL;
	} else {
		lang = (const gchar*) bindings_java_getString(env, _lang);
		if (lang == NULL) {
			return 0L; // Java Exception already thrown
		}
	}

	// call function
	result = gtkspell_new_attach(view, lang, &error);

	// cleanup parameter view

	// cleanup parameter lang
	if (lang != NULL) {
		bindings_java_releaseString(lang);
	}

	// check for error
	if (error) {
		bindings_java_throwGlibException(env, error);
		return  0L;
	}

	// translate return value to JNI type
	_result = (jlong) result;

	// and finally
	return _result;
}

JNIEXPORT void JNICALL
Java_org_gnome_gtk_GtkSpell_gtkspell_1detach
(
	JNIEnv* env,
	jclass cls,
	jlong _self
)
{
	GtkSpell* self;

	// convert parameter self
	self = (GtkSpell*) _self;

	// call function
	gtkspell_detach(self);

	// cleanup parameter self
}

JNIEXPORT jboolean JNICALL
Java_org_gnome_gtk_GtkSpell_gtkspell_1set_1language
(
	JNIEnv* env,
	jclass cls,
	jlong _self,
	jstring _lang
)
{
	gboolean result;
	jboolean _result;
	GtkSpell* self;
	const gchar* lang;
	GError* error = NULL;

	// convert parameter self
	self = (GtkSpell*) _self;

	// convert parameter lang
	if (_lang == NULL) {
		lang = NULL;
	} else {
		lang = (const gchar*) bindings_java_getString(env, _lang);
		if (lang == NULL) {
			return  JNI_FALSE; // Java Exception already thrown
		}
	}

	// call function
	result = gtkspell_set_language(self, lang, &error);

	// cleanup parameter self

	// cleanup parameter lang
	if (lang != NULL) {
		bindings_java_releaseString(lang);
	}

	// check for error
	if (error) {
		bindings_java_throwGlibException(env, error);
		return  JNI_FALSE;
	}

	// translate return value to JNI type
	_result = (jboolean) result;

	// and finally
	return _result;
}

JNIEXPORT void JNICALL
Java_org_gnome_gtk_GtkSpell_gtkspell_1recheck_1all
(
	JNIEnv* env,
	jclass cls,
	jlong _self
)
{
	GtkSpell* self;

	// convert parameter self
	self = (GtkSpell*) _self;

	// call function
	gtkspell_recheck_all(self);

	// cleanup parameter self
}

JNIEXPORT jlong JNICALL
Java_org_gnome_gtk_GtkSpell_gtkspell_1get_1from_1text_1view
(
	JNIEnv* env,
	jclass cls,
	jlong _view
)
{
	GtkSpell* result;
	jlong _result;
	GtkTextView* view;

	// convert parameter view
	view = (GtkTextView*) _view;

	// call function
	result = gtkspell_get_from_text_view(view);

	// cleanup parameter view

	// translate return value to JNI type
	_result = (jlong) result;

	// and finally
	return _result;
}
