/*
 * java-gnome, a UI library for writing GTK and GNOME programs from Java!
 *
 * Copyright ? 2006-2010 Operational Dynamics Consulting, Pty Ltd and Others
 *
 * The code in this file, and the program it is a part of, is made available
 * to you by its authors as open source software: you can redistribute it
 * and/or modify it under the terms of the GNU General Public License version
 * 2 ("GPL") as published by the Free Software Foundation.
 *
 * This program is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
 * FITNESS FOR A PARTICULAR PURPOSE. See the GPL for more details.
 *
 * You should have received a copy of the GPL along with this program. If not,
 * see http://www.gnu.org/licenses/. The authors of this program may be
 * contacted through http://java-gnome.sourceforge.net/.
 *
 * Linking this library statically or dynamically with other modules is making
 * a combined work based on this library. Thus, the terms and conditions of
 * the GPL cover the whole combination. As a special exception (the
 * "Claspath Exception"), the copyright holders of this library give you
 * permission to link this library with independent modules to produce an
 * executable, regardless of the license terms of these independent modules,
 * and to copy and distribute the resulting executable under terms of your
 * choice, provided that you also meet, for each linked independent module,
 * the terms and conditions of the license of that module. An independent
 * module is a module which is not derived from or based on this library. If
 * you modify this library, you may extend the Classpath Exception to your
 * version of the library, but you are not obligated to do so. If you do not
 * wish to do so, delete this exception statement from your version.
 */

/*
 * THIS FILE IS GENERATED CODE!
 *
 * To modify its contents or behaviour, either update the generation program,
 * change the information in the source defs file, or implement an override for
 * this class.
 */

#include <jni.h>
#include <gtk/gtk.h>
#include "bindings_java.h"
#include "org_gnome_gtk_GtkStyle.h"

JNIEXPORT jlong JNICALL
Java_org_gnome_gtk_GtkStyle_gtk_1style_1new
(
	JNIEnv* env,
	jclass cls
)
{
	GtkStyle* result;
	jlong _result;

	// call function
	result = gtk_style_new();

	// translate return value to JNI type
	_result = (jlong) result;

	// cleanup return value
	if (result != NULL) {
		bindings_java_memory_cleanup((GObject*)result, TRUE);
	}

	// and finally
	return _result;
}

JNIEXPORT jlong JNICALL
Java_org_gnome_gtk_GtkStyle_gtk_1style_1copy
(
	JNIEnv* env,
	jclass cls,
	jlong _self
)
{
	GtkStyle* result;
	jlong _result;
	GtkStyle* self;

	// convert parameter self
	self = (GtkStyle*) _self;

	// call function
	result = gtk_style_copy(self);

	// cleanup parameter self

	// translate return value to JNI type
	_result = (jlong) result;

	// cleanup return value
	if (result != NULL) {
		bindings_java_memory_cleanup((GObject*)result, TRUE);
	}

	// and finally
	return _result;
}

JNIEXPORT jlong JNICALL
Java_org_gnome_gtk_GtkStyle_gtk_1style_1attach
(
	JNIEnv* env,
	jclass cls,
	jlong _self,
	jlong _window
)
{
	GtkStyle* result;
	jlong _result;
	GtkStyle* self;
	GdkWindow* window;

	// convert parameter self
	self = (GtkStyle*) _self;

	// convert parameter window
	window = (GdkWindow*) _window;

	// call function
	result = gtk_style_attach(self, window);

	// cleanup parameter self

	// cleanup parameter window

	// translate return value to JNI type
	_result = (jlong) result;

	// cleanup return value
	if (result != NULL) {
		bindings_java_memory_cleanup((GObject*)result, FALSE);
	}

	// and finally
	return _result;
}

JNIEXPORT void JNICALL
Java_org_gnome_gtk_GtkStyle_gtk_1style_1detach
(
	JNIEnv* env,
	jclass cls,
	jlong _self
)
{
	GtkStyle* self;

	// convert parameter self
	self = (GtkStyle*) _self;

	// call function
	gtk_style_detach(self);

	// cleanup parameter self
}

JNIEXPORT void JNICALL
Java_org_gnome_gtk_GtkStyle_gtk_1style_1set_1background
(
	JNIEnv* env,
	jclass cls,
	jlong _self,
	jlong _window,
	jint _stateType
)
{
	GtkStyle* self;
	GdkWindow* window;
	GtkStateType stateType;

	// convert parameter self
	self = (GtkStyle*) _self;

	// convert parameter window
	window = (GdkWindow*) _window;

	// convert parameter stateType
	stateType = (GtkStateType) _stateType;

	// call function
	gtk_style_set_background(self, window, stateType);

	// cleanup parameter self

	// cleanup parameter window

	// cleanup parameter stateType
}

JNIEXPORT void JNICALL
Java_org_gnome_gtk_GtkStyle_gtk_1style_1apply_1default_1background
(
	JNIEnv* env,
	jclass cls,
	jlong _self,
	jlong _window,
	jboolean _setBg,
	jint _stateType,
	jlong _area,
	jint _x,
	jint _y,
	jint _width,
	jint _height
)
{
	GtkStyle* self;
	GdkWindow* window;
	gboolean setBg;
	GtkStateType stateType;
	GdkRectangle* area;
	gint x;
	gint y;
	gint width;
	gint height;

	// convert parameter self
	self = (GtkStyle*) _self;

	// convert parameter window
	window = (GdkWindow*) _window;

	// convert parameter setBg
	setBg = (gboolean) _setBg;

	// convert parameter stateType
	stateType = (GtkStateType) _stateType;

	// convert parameter area
	area = (GdkRectangle*) _area;

	// convert parameter x
	x = (gint) _x;

	// convert parameter y
	y = (gint) _y;

	// convert parameter width
	width = (gint) _width;

	// convert parameter height
	height = (gint) _height;

	// call function
	gtk_style_apply_default_background(self, window, setBg, stateType, area, x, y, width, height);

	// cleanup parameter self

	// cleanup parameter window

	// cleanup parameter setBg

	// cleanup parameter stateType

	// cleanup parameter area

	// cleanup parameter x

	// cleanup parameter y

	// cleanup parameter width

	// cleanup parameter height
}

JNIEXPORT jlong JNICALL
Java_org_gnome_gtk_GtkStyle_gtk_1style_1lookup_1icon_1set
(
	JNIEnv* env,
	jclass cls,
	jlong _self,
	jstring _stockId
)
{
	GtkIconSet* result;
	jlong _result;
	GtkStyle* self;
	const gchar* stockId;

	// convert parameter self
	self = (GtkStyle*) _self;

	// convert parameter stockId
	stockId = (const gchar*) bindings_java_getString(env, _stockId);
	if (stockId == NULL) {
		return 0L; // Java Exception already thrown
	}

	// call function
	result = gtk_style_lookup_icon_set(self, stockId);

	// cleanup parameter self

	// cleanup parameter stockId
	bindings_java_releaseString(stockId);

	// translate return value to JNI type
	_result = (jlong) result;

	// and finally
	return _result;
}

JNIEXPORT jlong JNICALL
Java_org_gnome_gtk_GtkStyle_gtk_1style_1render_1icon
(
	JNIEnv* env,
	jclass cls,
	jlong _self,
	jlong _source,
	jint _direction,
	jint _state,
	jint _size,
	jlong _widget,
	jstring _detail
)
{
	GdkPixbuf* result;
	jlong _result;
	GtkStyle* self;
	const GtkIconSource* source;
	GtkTextDirection direction;
	GtkStateType state;
	GtkIconSize size;
	GtkWidget* widget;
	const gchar* detail;

	// convert parameter self
	self = (GtkStyle*) _self;

	// convert parameter source
	source = (const GtkIconSource*) _source;

	// convert parameter direction
	direction = (GtkTextDirection) _direction;

	// convert parameter state
	state = (GtkStateType) _state;

	// convert parameter size
	size = (GtkIconSize) _size;

	// convert parameter widget
	widget = (GtkWidget*) _widget;

	// convert parameter detail
	if (_detail == NULL) {
		detail = NULL;
	} else {
		detail = (const gchar*) bindings_java_getString(env, _detail);
		if (detail == NULL) {
			return 0L; // Java Exception already thrown
		}
	}

	// call function
	result = gtk_style_render_icon(self, source, direction, state, size, widget, detail);

	// cleanup parameter self

	// cleanup parameter source

	// cleanup parameter direction

	// cleanup parameter state

	// cleanup parameter size

	// cleanup parameter widget

	// cleanup parameter detail
	if (detail != NULL) {
		bindings_java_releaseString(detail);
	}

	// translate return value to JNI type
	_result = (jlong) result;

	// cleanup return value
	if (result != NULL) {
		bindings_java_memory_cleanup((GObject*)result, TRUE);
	}

	// and finally
	return _result;
}

JNIEXPORT void JNICALL
Java_org_gnome_gtk_GtkStyle_gtk_1paint_1hline
(
	JNIEnv* env,
	jclass cls,
	jlong _self,
	jlong _window,
	jint _stateType,
	jlong _area,
	jlong _widget,
	jstring _detail,
	jint _x1,
	jint _x2,
	jint _y
)
{
	GtkStyle* self;
	GdkWindow* window;
	GtkStateType stateType;
	GdkRectangle* area;
	GtkWidget* widget;
	const gchar* detail;
	gint x1;
	gint x2;
	gint y;

	// convert parameter self
	self = (GtkStyle*) _self;

	// convert parameter window
	window = (GdkWindow*) _window;

	// convert parameter stateType
	stateType = (GtkStateType) _stateType;

	// convert parameter area
	area = (GdkRectangle*) _area;

	// convert parameter widget
	widget = (GtkWidget*) _widget;

	// convert parameter detail
	if (_detail == NULL) {
		detail = NULL;
	} else {
		detail = (const gchar*) bindings_java_getString(env, _detail);
		if (detail == NULL) {
			return; // Java Exception already thrown
		}
	}

	// convert parameter x1
	x1 = (gint) _x1;

	// convert parameter x2
	x2 = (gint) _x2;

	// convert parameter y
	y = (gint) _y;

	// call function
	gtk_paint_hline(self, window, stateType, area, widget, detail, x1, x2, y);

	// cleanup parameter self

	// cleanup parameter window

	// cleanup parameter stateType

	// cleanup parameter area

	// cleanup parameter widget

	// cleanup parameter detail
	if (detail != NULL) {
		bindings_java_releaseString(detail);
	}

	// cleanup parameter x1

	// cleanup parameter x2

	// cleanup parameter y
}

JNIEXPORT void JNICALL
Java_org_gnome_gtk_GtkStyle_gtk_1paint_1vline
(
	JNIEnv* env,
	jclass cls,
	jlong _self,
	jlong _window,
	jint _stateType,
	jlong _area,
	jlong _widget,
	jstring _detail,
	jint _y1,
	jint _y2,
	jint _x
)
{
	GtkStyle* self;
	GdkWindow* window;
	GtkStateType stateType;
	GdkRectangle* area;
	GtkWidget* widget;
	const gchar* detail;
	gint y1;
	gint y2;
	gint x;

	// convert parameter self
	self = (GtkStyle*) _self;

	// convert parameter window
	window = (GdkWindow*) _window;

	// convert parameter stateType
	stateType = (GtkStateType) _stateType;

	// convert parameter area
	area = (GdkRectangle*) _area;

	// convert parameter widget
	widget = (GtkWidget*) _widget;

	// convert parameter detail
	if (_detail == NULL) {
		detail = NULL;
	} else {
		detail = (const gchar*) bindings_java_getString(env, _detail);
		if (detail == NULL) {
			return; // Java Exception already thrown
		}
	}

	// convert parameter y1
	y1 = (gint) _y1;

	// convert parameter y2
	y2 = (gint) _y2;

	// convert parameter x
	x = (gint) _x;

	// call function
	gtk_paint_vline(self, window, stateType, area, widget, detail, y1, y2, x);

	// cleanup parameter self

	// cleanup parameter window

	// cleanup parameter stateType

	// cleanup parameter area

	// cleanup parameter widget

	// cleanup parameter detail
	if (detail != NULL) {
		bindings_java_releaseString(detail);
	}

	// cleanup parameter y1

	// cleanup parameter y2

	// cleanup parameter x
}

JNIEXPORT void JNICALL
Java_org_gnome_gtk_GtkStyle_gtk_1paint_1shadow
(
	JNIEnv* env,
	jclass cls,
	jlong _self,
	jlong _window,
	jint _stateType,
	jint _shadowType,
	jlong _area,
	jlong _widget,
	jstring _detail,
	jint _x,
	jint _y,
	jint _width,
	jint _height
)
{
	GtkStyle* self;
	GdkWindow* window;
	GtkStateType stateType;
	GtkShadowType shadowType;
	GdkRectangle* area;
	GtkWidget* widget;
	const gchar* detail;
	gint x;
	gint y;
	gint width;
	gint height;

	// convert parameter self
	self = (GtkStyle*) _self;

	// convert parameter window
	window = (GdkWindow*) _window;

	// convert parameter stateType
	stateType = (GtkStateType) _stateType;

	// convert parameter shadowType
	shadowType = (GtkShadowType) _shadowType;

	// convert parameter area
	area = (GdkRectangle*) _area;

	// convert parameter widget
	widget = (GtkWidget*) _widget;

	// convert parameter detail
	if (_detail == NULL) {
		detail = NULL;
	} else {
		detail = (const gchar*) bindings_java_getString(env, _detail);
		if (detail == NULL) {
			return; // Java Exception already thrown
		}
	}

	// convert parameter x
	x = (gint) _x;

	// convert parameter y
	y = (gint) _y;

	// convert parameter width
	width = (gint) _width;

	// convert parameter height
	height = (gint) _height;

	// call function
	gtk_paint_shadow(self, window, stateType, shadowType, area, widget, detail, x, y, width, height);

	// cleanup parameter self

	// cleanup parameter window

	// cleanup parameter stateType

	// cleanup parameter shadowType

	// cleanup parameter area

	// cleanup parameter widget

	// cleanup parameter detail
	if (detail != NULL) {
		bindings_java_releaseString(detail);
	}

	// cleanup parameter x

	// cleanup parameter y

	// cleanup parameter width

	// cleanup parameter height
}

JNIEXPORT void JNICALL
Java_org_gnome_gtk_GtkStyle_gtk_1paint_1polygon
(
	JNIEnv* env,
	jclass cls,
	jlong _self,
	jlong _window,
	jint _stateType,
	jint _shadowType,
	jlong _area,
	jlong _widget,
	jstring _detail,
	jlong _points,
	jint _npoints,
	jboolean _fill
)
{
	GtkStyle* self;
	GdkWindow* window;
	GtkStateType stateType;
	GtkShadowType shadowType;
	GdkRectangle* area;
	GtkWidget* widget;
	const gchar* detail;
	GdkPoint* points;
	gint npoints;
	gboolean fill;

	// convert parameter self
	self = (GtkStyle*) _self;

	// convert parameter window
	window = (GdkWindow*) _window;

	// convert parameter stateType
	stateType = (GtkStateType) _stateType;

	// convert parameter shadowType
	shadowType = (GtkShadowType) _shadowType;

	// convert parameter area
	area = (GdkRectangle*) _area;

	// convert parameter widget
	widget = (GtkWidget*) _widget;

	// convert parameter detail
	if (_detail == NULL) {
		detail = NULL;
	} else {
		detail = (const gchar*) bindings_java_getString(env, _detail);
		if (detail == NULL) {
			return; // Java Exception already thrown
		}
	}

	// convert parameter points
	points = (GdkPoint*) _points;

	// convert parameter npoints
	npoints = (gint) _npoints;

	// convert parameter fill
	fill = (gboolean) _fill;

	// call function
	gtk_paint_polygon(self, window, stateType, shadowType, area, widget, detail, points, npoints, fill);

	// cleanup parameter self

	// cleanup parameter window

	// cleanup parameter stateType

	// cleanup parameter shadowType

	// cleanup parameter area

	// cleanup parameter widget

	// cleanup parameter detail
	if (detail != NULL) {
		bindings_java_releaseString(detail);
	}

	// cleanup parameter points

	// cleanup parameter npoints

	// cleanup parameter fill
}

JNIEXPORT void JNICALL
Java_org_gnome_gtk_GtkStyle_gtk_1paint_1arrow
(
	JNIEnv* env,
	jclass cls,
	jlong _self,
	jlong _window,
	jint _stateType,
	jint _shadowType,
	jlong _area,
	jlong _widget,
	jstring _detail,
	jint _arrowType,
	jboolean _fill,
	jint _x,
	jint _y,
	jint _width,
	jint _height
)
{
	GtkStyle* self;
	GdkWindow* window;
	GtkStateType stateType;
	GtkShadowType shadowType;
	GdkRectangle* area;
	GtkWidget* widget;
	const gchar* detail;
	GtkArrowType arrowType;
	gboolean fill;
	gint x;
	gint y;
	gint width;
	gint height;

	// convert parameter self
	self = (GtkStyle*) _self;

	// convert parameter window
	window = (GdkWindow*) _window;

	// convert parameter stateType
	stateType = (GtkStateType) _stateType;

	// convert parameter shadowType
	shadowType = (GtkShadowType) _shadowType;

	// convert parameter area
	area = (GdkRectangle*) _area;

	// convert parameter widget
	widget = (GtkWidget*) _widget;

	// convert parameter detail
	if (_detail == NULL) {
		detail = NULL;
	} else {
		detail = (const gchar*) bindings_java_getString(env, _detail);
		if (detail == NULL) {
			return; // Java Exception already thrown
		}
	}

	// convert parameter arrowType
	arrowType = (GtkArrowType) _arrowType;

	// convert parameter fill
	fill = (gboolean) _fill;

	// convert parameter x
	x = (gint) _x;

	// convert parameter y
	y = (gint) _y;

	// convert parameter width
	width = (gint) _width;

	// convert parameter height
	height = (gint) _height;

	// call function
	gtk_paint_arrow(self, window, stateType, shadowType, area, widget, detail, arrowType, fill, x, y, width, height);

	// cleanup parameter self

	// cleanup parameter window

	// cleanup parameter stateType

	// cleanup parameter shadowType

	// cleanup parameter area

	// cleanup parameter widget

	// cleanup parameter detail
	if (detail != NULL) {
		bindings_java_releaseString(detail);
	}

	// cleanup parameter arrowType

	// cleanup parameter fill

	// cleanup parameter x

	// cleanup parameter y

	// cleanup parameter width

	// cleanup parameter height
}

JNIEXPORT void JNICALL
Java_org_gnome_gtk_GtkStyle_gtk_1paint_1diamond
(
	JNIEnv* env,
	jclass cls,
	jlong _self,
	jlong _window,
	jint _stateType,
	jint _shadowType,
	jlong _area,
	jlong _widget,
	jstring _detail,
	jint _x,
	jint _y,
	jint _width,
	jint _height
)
{
	GtkStyle* self;
	GdkWindow* window;
	GtkStateType stateType;
	GtkShadowType shadowType;
	GdkRectangle* area;
	GtkWidget* widget;
	const gchar* detail;
	gint x;
	gint y;
	gint width;
	gint height;

	// convert parameter self
	self = (GtkStyle*) _self;

	// convert parameter window
	window = (GdkWindow*) _window;

	// convert parameter stateType
	stateType = (GtkStateType) _stateType;

	// convert parameter shadowType
	shadowType = (GtkShadowType) _shadowType;

	// convert parameter area
	area = (GdkRectangle*) _area;

	// convert parameter widget
	widget = (GtkWidget*) _widget;

	// convert parameter detail
	if (_detail == NULL) {
		detail = NULL;
	} else {
		detail = (const gchar*) bindings_java_getString(env, _detail);
		if (detail == NULL) {
			return; // Java Exception already thrown
		}
	}

	// convert parameter x
	x = (gint) _x;

	// convert parameter y
	y = (gint) _y;

	// convert parameter width
	width = (gint) _width;

	// convert parameter height
	height = (gint) _height;

	// call function
	gtk_paint_diamond(self, window, stateType, shadowType, area, widget, detail, x, y, width, height);

	// cleanup parameter self

	// cleanup parameter window

	// cleanup parameter stateType

	// cleanup parameter shadowType

	// cleanup parameter area

	// cleanup parameter widget

	// cleanup parameter detail
	if (detail != NULL) {
		bindings_java_releaseString(detail);
	}

	// cleanup parameter x

	// cleanup parameter y

	// cleanup parameter width

	// cleanup parameter height
}

JNIEXPORT void JNICALL
Java_org_gnome_gtk_GtkStyle_gtk_1paint_1box
(
	JNIEnv* env,
	jclass cls,
	jlong _self,
	jlong _window,
	jint _stateType,
	jint _shadowType,
	jlong _area,
	jlong _widget,
	jstring _detail,
	jint _x,
	jint _y,
	jint _width,
	jint _height
)
{
	GtkStyle* self;
	GdkWindow* window;
	GtkStateType stateType;
	GtkShadowType shadowType;
	GdkRectangle* area;
	GtkWidget* widget;
	const gchar* detail;
	gint x;
	gint y;
	gint width;
	gint height;

	// convert parameter self
	self = (GtkStyle*) _self;

	// convert parameter window
	window = (GdkWindow*) _window;

	// convert parameter stateType
	stateType = (GtkStateType) _stateType;

	// convert parameter shadowType
	shadowType = (GtkShadowType) _shadowType;

	// convert parameter area
	area = (GdkRectangle*) _area;

	// convert parameter widget
	widget = (GtkWidget*) _widget;

	// convert parameter detail
	if (_detail == NULL) {
		detail = NULL;
	} else {
		detail = (const gchar*) bindings_java_getString(env, _detail);
		if (detail == NULL) {
			return; // Java Exception already thrown
		}
	}

	// convert parameter x
	x = (gint) _x;

	// convert parameter y
	y = (gint) _y;

	// convert parameter width
	width = (gint) _width;

	// convert parameter height
	height = (gint) _height;

	// call function
	gtk_paint_box(self, window, stateType, shadowType, area, widget, detail, x, y, width, height);

	// cleanup parameter self

	// cleanup parameter window

	// cleanup parameter stateType

	// cleanup parameter shadowType

	// cleanup parameter area

	// cleanup parameter widget

	// cleanup parameter detail
	if (detail != NULL) {
		bindings_java_releaseString(detail);
	}

	// cleanup parameter x

	// cleanup parameter y

	// cleanup parameter width

	// cleanup parameter height
}

JNIEXPORT void JNICALL
Java_org_gnome_gtk_GtkStyle_gtk_1paint_1flat_1box
(
	JNIEnv* env,
	jclass cls,
	jlong _self,
	jlong _window,
	jint _stateType,
	jint _shadowType,
	jlong _area,
	jlong _widget,
	jstring _detail,
	jint _x,
	jint _y,
	jint _width,
	jint _height
)
{
	GtkStyle* self;
	GdkWindow* window;
	GtkStateType stateType;
	GtkShadowType shadowType;
	GdkRectangle* area;
	GtkWidget* widget;
	const gchar* detail;
	gint x;
	gint y;
	gint width;
	gint height;

	// convert parameter self
	self = (GtkStyle*) _self;

	// convert parameter window
	window = (GdkWindow*) _window;

	// convert parameter stateType
	stateType = (GtkStateType) _stateType;

	// convert parameter shadowType
	shadowType = (GtkShadowType) _shadowType;

	// convert parameter area
	area = (GdkRectangle*) _area;

	// convert parameter widget
	widget = (GtkWidget*) _widget;

	// convert parameter detail
	if (_detail == NULL) {
		detail = NULL;
	} else {
		detail = (const gchar*) bindings_java_getString(env, _detail);
		if (detail == NULL) {
			return; // Java Exception already thrown
		}
	}

	// convert parameter x
	x = (gint) _x;

	// convert parameter y
	y = (gint) _y;

	// convert parameter width
	width = (gint) _width;

	// convert parameter height
	height = (gint) _height;

	// call function
	gtk_paint_flat_box(self, window, stateType, shadowType, area, widget, detail, x, y, width, height);

	// cleanup parameter self

	// cleanup parameter window

	// cleanup parameter stateType

	// cleanup parameter shadowType

	// cleanup parameter area

	// cleanup parameter widget

	// cleanup parameter detail
	if (detail != NULL) {
		bindings_java_releaseString(detail);
	}

	// cleanup parameter x

	// cleanup parameter y

	// cleanup parameter width

	// cleanup parameter height
}

JNIEXPORT void JNICALL
Java_org_gnome_gtk_GtkStyle_gtk_1paint_1check
(
	JNIEnv* env,
	jclass cls,
	jlong _self,
	jlong _window,
	jint _stateType,
	jint _shadowType,
	jlong _area,
	jlong _widget,
	jstring _detail,
	jint _x,
	jint _y,
	jint _width,
	jint _height
)
{
	GtkStyle* self;
	GdkWindow* window;
	GtkStateType stateType;
	GtkShadowType shadowType;
	GdkRectangle* area;
	GtkWidget* widget;
	const gchar* detail;
	gint x;
	gint y;
	gint width;
	gint height;

	// convert parameter self
	self = (GtkStyle*) _self;

	// convert parameter window
	window = (GdkWindow*) _window;

	// convert parameter stateType
	stateType = (GtkStateType) _stateType;

	// convert parameter shadowType
	shadowType = (GtkShadowType) _shadowType;

	// convert parameter area
	area = (GdkRectangle*) _area;

	// convert parameter widget
	widget = (GtkWidget*) _widget;

	// convert parameter detail
	if (_detail == NULL) {
		detail = NULL;
	} else {
		detail = (const gchar*) bindings_java_getString(env, _detail);
		if (detail == NULL) {
			return; // Java Exception already thrown
		}
	}

	// convert parameter x
	x = (gint) _x;

	// convert parameter y
	y = (gint) _y;

	// convert parameter width
	width = (gint) _width;

	// convert parameter height
	height = (gint) _height;

	// call function
	gtk_paint_check(self, window, stateType, shadowType, area, widget, detail, x, y, width, height);

	// cleanup parameter self

	// cleanup parameter window

	// cleanup parameter stateType

	// cleanup parameter shadowType

	// cleanup parameter area

	// cleanup parameter widget

	// cleanup parameter detail
	if (detail != NULL) {
		bindings_java_releaseString(detail);
	}

	// cleanup parameter x

	// cleanup parameter y

	// cleanup parameter width

	// cleanup parameter height
}

JNIEXPORT void JNICALL
Java_org_gnome_gtk_GtkStyle_gtk_1paint_1option
(
	JNIEnv* env,
	jclass cls,
	jlong _self,
	jlong _window,
	jint _stateType,
	jint _shadowType,
	jlong _area,
	jlong _widget,
	jstring _detail,
	jint _x,
	jint _y,
	jint _width,
	jint _height
)
{
	GtkStyle* self;
	GdkWindow* window;
	GtkStateType stateType;
	GtkShadowType shadowType;
	GdkRectangle* area;
	GtkWidget* widget;
	const gchar* detail;
	gint x;
	gint y;
	gint width;
	gint height;

	// convert parameter self
	self = (GtkStyle*) _self;

	// convert parameter window
	window = (GdkWindow*) _window;

	// convert parameter stateType
	stateType = (GtkStateType) _stateType;

	// convert parameter shadowType
	shadowType = (GtkShadowType) _shadowType;

	// convert parameter area
	area = (GdkRectangle*) _area;

	// convert parameter widget
	widget = (GtkWidget*) _widget;

	// convert parameter detail
	if (_detail == NULL) {
		detail = NULL;
	} else {
		detail = (const gchar*) bindings_java_getString(env, _detail);
		if (detail == NULL) {
			return; // Java Exception already thrown
		}
	}

	// convert parameter x
	x = (gint) _x;

	// convert parameter y
	y = (gint) _y;

	// convert parameter width
	width = (gint) _width;

	// convert parameter height
	height = (gint) _height;

	// call function
	gtk_paint_option(self, window, stateType, shadowType, area, widget, detail, x, y, width, height);

	// cleanup parameter self

	// cleanup parameter window

	// cleanup parameter stateType

	// cleanup parameter shadowType

	// cleanup parameter area

	// cleanup parameter widget

	// cleanup parameter detail
	if (detail != NULL) {
		bindings_java_releaseString(detail);
	}

	// cleanup parameter x

	// cleanup parameter y

	// cleanup parameter width

	// cleanup parameter height
}

JNIEXPORT void JNICALL
Java_org_gnome_gtk_GtkStyle_gtk_1paint_1tab
(
	JNIEnv* env,
	jclass cls,
	jlong _self,
	jlong _window,
	jint _stateType,
	jint _shadowType,
	jlong _area,
	jlong _widget,
	jstring _detail,
	jint _x,
	jint _y,
	jint _width,
	jint _height
)
{
	GtkStyle* self;
	GdkWindow* window;
	GtkStateType stateType;
	GtkShadowType shadowType;
	GdkRectangle* area;
	GtkWidget* widget;
	const gchar* detail;
	gint x;
	gint y;
	gint width;
	gint height;

	// convert parameter self
	self = (GtkStyle*) _self;

	// convert parameter window
	window = (GdkWindow*) _window;

	// convert parameter stateType
	stateType = (GtkStateType) _stateType;

	// convert parameter shadowType
	shadowType = (GtkShadowType) _shadowType;

	// convert parameter area
	area = (GdkRectangle*) _area;

	// convert parameter widget
	widget = (GtkWidget*) _widget;

	// convert parameter detail
	if (_detail == NULL) {
		detail = NULL;
	} else {
		detail = (const gchar*) bindings_java_getString(env, _detail);
		if (detail == NULL) {
			return; // Java Exception already thrown
		}
	}

	// convert parameter x
	x = (gint) _x;

	// convert parameter y
	y = (gint) _y;

	// convert parameter width
	width = (gint) _width;

	// convert parameter height
	height = (gint) _height;

	// call function
	gtk_paint_tab(self, window, stateType, shadowType, area, widget, detail, x, y, width, height);

	// cleanup parameter self

	// cleanup parameter window

	// cleanup parameter stateType

	// cleanup parameter shadowType

	// cleanup parameter area

	// cleanup parameter widget

	// cleanup parameter detail
	if (detail != NULL) {
		bindings_java_releaseString(detail);
	}

	// cleanup parameter x

	// cleanup parameter y

	// cleanup parameter width

	// cleanup parameter height
}

JNIEXPORT void JNICALL
Java_org_gnome_gtk_GtkStyle_gtk_1paint_1shadow_1gap
(
	JNIEnv* env,
	jclass cls,
	jlong _self,
	jlong _window,
	jint _stateType,
	jint _shadowType,
	jlong _area,
	jlong _widget,
	jstring _detail,
	jint _x,
	jint _y,
	jint _width,
	jint _height,
	jint _gapSide,
	jint _gapX,
	jint _gapWidth
)
{
	GtkStyle* self;
	GdkWindow* window;
	GtkStateType stateType;
	GtkShadowType shadowType;
	GdkRectangle* area;
	GtkWidget* widget;
	gchar* detail;
	gint x;
	gint y;
	gint width;
	gint height;
	GtkPositionType gapSide;
	gint gapX;
	gint gapWidth;

	// convert parameter self
	self = (GtkStyle*) _self;

	// convert parameter window
	window = (GdkWindow*) _window;

	// convert parameter stateType
	stateType = (GtkStateType) _stateType;

	// convert parameter shadowType
	shadowType = (GtkShadowType) _shadowType;

	// convert parameter area
	area = (GdkRectangle*) _area;

	// convert parameter widget
	widget = (GtkWidget*) _widget;

	// convert parameter detail
	if (_detail == NULL) {
		detail = NULL;
	} else {
		detail = (gchar*) bindings_java_getString(env, _detail);
		if (detail == NULL) {
			return; // Java Exception already thrown
		}
	}

	// convert parameter x
	x = (gint) _x;

	// convert parameter y
	y = (gint) _y;

	// convert parameter width
	width = (gint) _width;

	// convert parameter height
	height = (gint) _height;

	// convert parameter gapSide
	gapSide = (GtkPositionType) _gapSide;

	// convert parameter gapX
	gapX = (gint) _gapX;

	// convert parameter gapWidth
	gapWidth = (gint) _gapWidth;

	// call function
	gtk_paint_shadow_gap(self, window, stateType, shadowType, area, widget, detail, x, y, width, height, gapSide, gapX, gapWidth);

	// cleanup parameter self

	// cleanup parameter window

	// cleanup parameter stateType

	// cleanup parameter shadowType

	// cleanup parameter area

	// cleanup parameter widget

	// cleanup parameter detail
	if (detail != NULL) {
		bindings_java_releaseString(detail);
	}

	// cleanup parameter x

	// cleanup parameter y

	// cleanup parameter width

	// cleanup parameter height

	// cleanup parameter gapSide

	// cleanup parameter gapX

	// cleanup parameter gapWidth
}

JNIEXPORT void JNICALL
Java_org_gnome_gtk_GtkStyle_gtk_1paint_1box_1gap
(
	JNIEnv* env,
	jclass cls,
	jlong _self,
	jlong _window,
	jint _stateType,
	jint _shadowType,
	jlong _area,
	jlong _widget,
	jstring _detail,
	jint _x,
	jint _y,
	jint _width,
	jint _height,
	jint _gapSide,
	jint _gapX,
	jint _gapWidth
)
{
	GtkStyle* self;
	GdkWindow* window;
	GtkStateType stateType;
	GtkShadowType shadowType;
	GdkRectangle* area;
	GtkWidget* widget;
	gchar* detail;
	gint x;
	gint y;
	gint width;
	gint height;
	GtkPositionType gapSide;
	gint gapX;
	gint gapWidth;

	// convert parameter self
	self = (GtkStyle*) _self;

	// convert parameter window
	window = (GdkWindow*) _window;

	// convert parameter stateType
	stateType = (GtkStateType) _stateType;

	// convert parameter shadowType
	shadowType = (GtkShadowType) _shadowType;

	// convert parameter area
	area = (GdkRectangle*) _area;

	// convert parameter widget
	widget = (GtkWidget*) _widget;

	// convert parameter detail
	if (_detail == NULL) {
		detail = NULL;
	} else {
		detail = (gchar*) bindings_java_getString(env, _detail);
		if (detail == NULL) {
			return; // Java Exception already thrown
		}
	}

	// convert parameter x
	x = (gint) _x;

	// convert parameter y
	y = (gint) _y;

	// convert parameter width
	width = (gint) _width;

	// convert parameter height
	height = (gint) _height;

	// convert parameter gapSide
	gapSide = (GtkPositionType) _gapSide;

	// convert parameter gapX
	gapX = (gint) _gapX;

	// convert parameter gapWidth
	gapWidth = (gint) _gapWidth;

	// call function
	gtk_paint_box_gap(self, window, stateType, shadowType, area, widget, detail, x, y, width, height, gapSide, gapX, gapWidth);

	// cleanup parameter self

	// cleanup parameter window

	// cleanup parameter stateType

	// cleanup parameter shadowType

	// cleanup parameter area

	// cleanup parameter widget

	// cleanup parameter detail
	if (detail != NULL) {
		bindings_java_releaseString(detail);
	}

	// cleanup parameter x

	// cleanup parameter y

	// cleanup parameter width

	// cleanup parameter height

	// cleanup parameter gapSide

	// cleanup parameter gapX

	// cleanup parameter gapWidth
}

JNIEXPORT void JNICALL
Java_org_gnome_gtk_GtkStyle_gtk_1paint_1extension
(
	JNIEnv* env,
	jclass cls,
	jlong _self,
	jlong _window,
	jint _stateType,
	jint _shadowType,
	jlong _area,
	jlong _widget,
	jstring _detail,
	jint _x,
	jint _y,
	jint _width,
	jint _height,
	jint _gapSide
)
{
	GtkStyle* self;
	GdkWindow* window;
	GtkStateType stateType;
	GtkShadowType shadowType;
	GdkRectangle* area;
	GtkWidget* widget;
	gchar* detail;
	gint x;
	gint y;
	gint width;
	gint height;
	GtkPositionType gapSide;

	// convert parameter self
	self = (GtkStyle*) _self;

	// convert parameter window
	window = (GdkWindow*) _window;

	// convert parameter stateType
	stateType = (GtkStateType) _stateType;

	// convert parameter shadowType
	shadowType = (GtkShadowType) _shadowType;

	// convert parameter area
	area = (GdkRectangle*) _area;

	// convert parameter widget
	widget = (GtkWidget*) _widget;

	// convert parameter detail
	if (_detail == NULL) {
		detail = NULL;
	} else {
		detail = (gchar*) bindings_java_getString(env, _detail);
		if (detail == NULL) {
			return; // Java Exception already thrown
		}
	}

	// convert parameter x
	x = (gint) _x;

	// convert parameter y
	y = (gint) _y;

	// convert parameter width
	width = (gint) _width;

	// convert parameter height
	height = (gint) _height;

	// convert parameter gapSide
	gapSide = (GtkPositionType) _gapSide;

	// call function
	gtk_paint_extension(self, window, stateType, shadowType, area, widget, detail, x, y, width, height, gapSide);

	// cleanup parameter self

	// cleanup parameter window

	// cleanup parameter stateType

	// cleanup parameter shadowType

	// cleanup parameter area

	// cleanup parameter widget

	// cleanup parameter detail
	if (detail != NULL) {
		bindings_java_releaseString(detail);
	}

	// cleanup parameter x

	// cleanup parameter y

	// cleanup parameter width

	// cleanup parameter height

	// cleanup parameter gapSide
}

JNIEXPORT void JNICALL
Java_org_gnome_gtk_GtkStyle_gtk_1paint_1focus
(
	JNIEnv* env,
	jclass cls,
	jlong _self,
	jlong _window,
	jint _stateType,
	jlong _area,
	jlong _widget,
	jstring _detail,
	jint _x,
	jint _y,
	jint _width,
	jint _height
)
{
	GtkStyle* self;
	GdkWindow* window;
	GtkStateType stateType;
	GdkRectangle* area;
	GtkWidget* widget;
	const gchar* detail;
	gint x;
	gint y;
	gint width;
	gint height;

	// convert parameter self
	self = (GtkStyle*) _self;

	// convert parameter window
	window = (GdkWindow*) _window;

	// convert parameter stateType
	stateType = (GtkStateType) _stateType;

	// convert parameter area
	area = (GdkRectangle*) _area;

	// convert parameter widget
	widget = (GtkWidget*) _widget;

	// convert parameter detail
	if (_detail == NULL) {
		detail = NULL;
	} else {
		detail = (const gchar*) bindings_java_getString(env, _detail);
		if (detail == NULL) {
			return; // Java Exception already thrown
		}
	}

	// convert parameter x
	x = (gint) _x;

	// convert parameter y
	y = (gint) _y;

	// convert parameter width
	width = (gint) _width;

	// convert parameter height
	height = (gint) _height;

	// call function
	gtk_paint_focus(self, window, stateType, area, widget, detail, x, y, width, height);

	// cleanup parameter self

	// cleanup parameter window

	// cleanup parameter stateType

	// cleanup parameter area

	// cleanup parameter widget

	// cleanup parameter detail
	if (detail != NULL) {
		bindings_java_releaseString(detail);
	}

	// cleanup parameter x

	// cleanup parameter y

	// cleanup parameter width

	// cleanup parameter height
}

JNIEXPORT void JNICALL
Java_org_gnome_gtk_GtkStyle_gtk_1paint_1slider
(
	JNIEnv* env,
	jclass cls,
	jlong _self,
	jlong _window,
	jint _stateType,
	jint _shadowType,
	jlong _area,
	jlong _widget,
	jstring _detail,
	jint _x,
	jint _y,
	jint _width,
	jint _height,
	jint _orientation
)
{
	GtkStyle* self;
	GdkWindow* window;
	GtkStateType stateType;
	GtkShadowType shadowType;
	GdkRectangle* area;
	GtkWidget* widget;
	const gchar* detail;
	gint x;
	gint y;
	gint width;
	gint height;
	GtkOrientation orientation;

	// convert parameter self
	self = (GtkStyle*) _self;

	// convert parameter window
	window = (GdkWindow*) _window;

	// convert parameter stateType
	stateType = (GtkStateType) _stateType;

	// convert parameter shadowType
	shadowType = (GtkShadowType) _shadowType;

	// convert parameter area
	area = (GdkRectangle*) _area;

	// convert parameter widget
	widget = (GtkWidget*) _widget;

	// convert parameter detail
	if (_detail == NULL) {
		detail = NULL;
	} else {
		detail = (const gchar*) bindings_java_getString(env, _detail);
		if (detail == NULL) {
			return; // Java Exception already thrown
		}
	}

	// convert parameter x
	x = (gint) _x;

	// convert parameter y
	y = (gint) _y;

	// convert parameter width
	width = (gint) _width;

	// convert parameter height
	height = (gint) _height;

	// convert parameter orientation
	orientation = (GtkOrientation) _orientation;

	// call function
	gtk_paint_slider(self, window, stateType, shadowType, area, widget, detail, x, y, width, height, orientation);

	// cleanup parameter self

	// cleanup parameter window

	// cleanup parameter stateType

	// cleanup parameter shadowType

	// cleanup parameter area

	// cleanup parameter widget

	// cleanup parameter detail
	if (detail != NULL) {
		bindings_java_releaseString(detail);
	}

	// cleanup parameter x

	// cleanup parameter y

	// cleanup parameter width

	// cleanup parameter height

	// cleanup parameter orientation
}

JNIEXPORT void JNICALL
Java_org_gnome_gtk_GtkStyle_gtk_1paint_1handle
(
	JNIEnv* env,
	jclass cls,
	jlong _self,
	jlong _window,
	jint _stateType,
	jint _shadowType,
	jlong _area,
	jlong _widget,
	jstring _detail,
	jint _x,
	jint _y,
	jint _width,
	jint _height,
	jint _orientation
)
{
	GtkStyle* self;
	GdkWindow* window;
	GtkStateType stateType;
	GtkShadowType shadowType;
	GdkRectangle* area;
	GtkWidget* widget;
	const gchar* detail;
	gint x;
	gint y;
	gint width;
	gint height;
	GtkOrientation orientation;

	// convert parameter self
	self = (GtkStyle*) _self;

	// convert parameter window
	window = (GdkWindow*) _window;

	// convert parameter stateType
	stateType = (GtkStateType) _stateType;

	// convert parameter shadowType
	shadowType = (GtkShadowType) _shadowType;

	// convert parameter area
	area = (GdkRectangle*) _area;

	// convert parameter widget
	widget = (GtkWidget*) _widget;

	// convert parameter detail
	if (_detail == NULL) {
		detail = NULL;
	} else {
		detail = (const gchar*) bindings_java_getString(env, _detail);
		if (detail == NULL) {
			return; // Java Exception already thrown
		}
	}

	// convert parameter x
	x = (gint) _x;

	// convert parameter y
	y = (gint) _y;

	// convert parameter width
	width = (gint) _width;

	// convert parameter height
	height = (gint) _height;

	// convert parameter orientation
	orientation = (GtkOrientation) _orientation;

	// call function
	gtk_paint_handle(self, window, stateType, shadowType, area, widget, detail, x, y, width, height, orientation);

	// cleanup parameter self

	// cleanup parameter window

	// cleanup parameter stateType

	// cleanup parameter shadowType

	// cleanup parameter area

	// cleanup parameter widget

	// cleanup parameter detail
	if (detail != NULL) {
		bindings_java_releaseString(detail);
	}

	// cleanup parameter x

	// cleanup parameter y

	// cleanup parameter width

	// cleanup parameter height

	// cleanup parameter orientation
}

JNIEXPORT void JNICALL
Java_org_gnome_gtk_GtkStyle_gtk_1paint_1expander
(
	JNIEnv* env,
	jclass cls,
	jlong _self,
	jlong _window,
	jint _stateType,
	jlong _area,
	jlong _widget,
	jstring _detail,
	jint _x,
	jint _y,
	jint _expanderStyle
)
{
	GtkStyle* self;
	GdkWindow* window;
	GtkStateType stateType;
	GdkRectangle* area;
	GtkWidget* widget;
	const gchar* detail;
	gint x;
	gint y;
	GtkExpanderStyle expanderStyle;

	// convert parameter self
	self = (GtkStyle*) _self;

	// convert parameter window
	window = (GdkWindow*) _window;

	// convert parameter stateType
	stateType = (GtkStateType) _stateType;

	// convert parameter area
	area = (GdkRectangle*) _area;

	// convert parameter widget
	widget = (GtkWidget*) _widget;

	// convert parameter detail
	if (_detail == NULL) {
		detail = NULL;
	} else {
		detail = (const gchar*) bindings_java_getString(env, _detail);
		if (detail == NULL) {
			return; // Java Exception already thrown
		}
	}

	// convert parameter x
	x = (gint) _x;

	// convert parameter y
	y = (gint) _y;

	// convert parameter expanderStyle
	expanderStyle = (GtkExpanderStyle) _expanderStyle;

	// call function
	gtk_paint_expander(self, window, stateType, area, widget, detail, x, y, expanderStyle);

	// cleanup parameter self

	// cleanup parameter window

	// cleanup parameter stateType

	// cleanup parameter area

	// cleanup parameter widget

	// cleanup parameter detail
	if (detail != NULL) {
		bindings_java_releaseString(detail);
	}

	// cleanup parameter x

	// cleanup parameter y

	// cleanup parameter expanderStyle
}

JNIEXPORT void JNICALL
Java_org_gnome_gtk_GtkStyle_gtk_1paint_1layout
(
	JNIEnv* env,
	jclass cls,
	jlong _self,
	jlong _window,
	jint _stateType,
	jboolean _useText,
	jlong _area,
	jlong _widget,
	jstring _detail,
	jint _x,
	jint _y,
	jlong _layout
)
{
	GtkStyle* self;
	GdkWindow* window;
	GtkStateType stateType;
	gboolean useText;
	GdkRectangle* area;
	GtkWidget* widget;
	const gchar* detail;
	gint x;
	gint y;
	PangoLayout* layout;

	// convert parameter self
	self = (GtkStyle*) _self;

	// convert parameter window
	window = (GdkWindow*) _window;

	// convert parameter stateType
	stateType = (GtkStateType) _stateType;

	// convert parameter useText
	useText = (gboolean) _useText;

	// convert parameter area
	area = (GdkRectangle*) _area;

	// convert parameter widget
	widget = (GtkWidget*) _widget;

	// convert parameter detail
	if (_detail == NULL) {
		detail = NULL;
	} else {
		detail = (const gchar*) bindings_java_getString(env, _detail);
		if (detail == NULL) {
			return; // Java Exception already thrown
		}
	}

	// convert parameter x
	x = (gint) _x;

	// convert parameter y
	y = (gint) _y;

	// convert parameter layout
	layout = (PangoLayout*) _layout;

	// call function
	gtk_paint_layout(self, window, stateType, useText, area, widget, detail, x, y, layout);

	// cleanup parameter self

	// cleanup parameter window

	// cleanup parameter stateType

	// cleanup parameter useText

	// cleanup parameter area

	// cleanup parameter widget

	// cleanup parameter detail
	if (detail != NULL) {
		bindings_java_releaseString(detail);
	}

	// cleanup parameter x

	// cleanup parameter y

	// cleanup parameter layout
}

JNIEXPORT void JNICALL
Java_org_gnome_gtk_GtkStyle_gtk_1paint_1resize_1grip
(
	JNIEnv* env,
	jclass cls,
	jlong _self,
	jlong _window,
	jint _stateType,
	jlong _area,
	jlong _widget,
	jstring _detail,
	jint _edge,
	jint _x,
	jint _y,
	jint _width,
	jint _height
)
{
	GtkStyle* self;
	GdkWindow* window;
	GtkStateType stateType;
	GdkRectangle* area;
	GtkWidget* widget;
	const gchar* detail;
	GdkWindowEdge edge;
	gint x;
	gint y;
	gint width;
	gint height;

	// convert parameter self
	self = (GtkStyle*) _self;

	// convert parameter window
	window = (GdkWindow*) _window;

	// convert parameter stateType
	stateType = (GtkStateType) _stateType;

	// convert parameter area
	area = (GdkRectangle*) _area;

	// convert parameter widget
	widget = (GtkWidget*) _widget;

	// convert parameter detail
	if (_detail == NULL) {
		detail = NULL;
	} else {
		detail = (const gchar*) bindings_java_getString(env, _detail);
		if (detail == NULL) {
			return; // Java Exception already thrown
		}
	}

	// convert parameter edge
	edge = (GdkWindowEdge) _edge;

	// convert parameter x
	x = (gint) _x;

	// convert parameter y
	y = (gint) _y;

	// convert parameter width
	width = (gint) _width;

	// convert parameter height
	height = (gint) _height;

	// call function
	gtk_paint_resize_grip(self, window, stateType, area, widget, detail, edge, x, y, width, height);

	// cleanup parameter self

	// cleanup parameter window

	// cleanup parameter stateType

	// cleanup parameter area

	// cleanup parameter widget

	// cleanup parameter detail
	if (detail != NULL) {
		bindings_java_releaseString(detail);
	}

	// cleanup parameter edge

	// cleanup parameter x

	// cleanup parameter y

	// cleanup parameter width

	// cleanup parameter height
}

JNIEXPORT jboolean JNICALL
Java_org_gnome_gtk_GtkStyle_gtk_1style_1lookup_1color
(
	JNIEnv* env,
	jclass cls,
	jlong _self,
	jstring _colorName,
	jlong _color
)
{
	gboolean result;
	jboolean _result;
	GtkStyle* self;
	const gchar* colorName;
	GdkColor* color;

	// convert parameter self
	self = (GtkStyle*) _self;

	// convert parameter colorName
	colorName = (const gchar*) bindings_java_getString(env, _colorName);
	if (colorName == NULL) {
		return  JNI_FALSE; // Java Exception already thrown
	}

	// convert parameter color
	color = (GdkColor*) _color;

	// call function
	result = gtk_style_lookup_color(self, colorName, color);

	// cleanup parameter self

	// cleanup parameter colorName
	bindings_java_releaseString(colorName);

	// cleanup parameter color

	// translate return value to JNI type
	_result = (jboolean) result;

	// and finally
	return _result;
}
